@import "../chroma/dark.css";
@import "../codemirror/dark.css";
@import "../markup/dark.css";

:root {
  --steel-900: #10161d;
  --steel-850: #131a21;
  --steel-800: #171e26;
  --steel-750: #1d262f;
  --steel-700: #242d38;
  --steel-650: #2b3642;
  --steel-600: #374351;
  --steel-550: #445161;
  --steel-500: #515f70;
  --steel-450: #5f6e80;
  --steel-400: #6d7d8f;
  --steel-350: #7c8c9f;
  --steel-300: #8c9caf;
  --steel-250: #9dadc0;
  --steel-200: #aebed0;
  --steel-150: #c0cfe0;
  --steel-100: #d2e0f0;

    --is-dark-theme: true;

    --color-primary: #4183c4;
    --color-primary-contrast: #ffffff;
    --color-primary-dark-1: #548fca;
    --color-primary-dark-2: #679cd0;
    --color-primary-dark-3: #7aa8d6;
    --color-primary-dark-4: #8db5dc;
    --color-primary-dark-5: #b3cde7;
    --color-primary-dark-6: #d9e6f3;
    --color-primary-dark-7: #f4f8fb;
    --color-primary-light-1: #3876b3;
    --color-primary-light-2: #31699f;
    --color-primary-light-3: #2b5c8b;
    --color-primary-light-4: #254f77;
    --color-primary-light-5: #193450;
    --color-primary-light-6: #0c1a28;
    --color-primary-light-7: #04080c;
    --color-primary-alpha-10: #4183c419;
    --color-primary-alpha-20: #4183c433;
    --color-primary-alpha-30: #4183c44b;
    --color-primary-alpha-40: #4183c466;
    --color-primary-alpha-50: #4183c480;
    --color-primary-alpha-60: #4183c499;
    --color-primary-alpha-70: #4183c4b3;
    --color-primary-alpha-80: #4183c4cc;
    --color-primary-alpha-90: #4183c4e1;
    --color-primary-hover: var(--color-primary-light-1);
    --color-primary-active: var(--color-primary-light-2);
  
    --color-secondary: #3f4248;
    --color-secondary-dark-1: #46494f;
    --color-secondary-dark-2: #4f5259;
    --color-secondary-dark-3: #5e626a;
    --color-secondary-dark-4: #6f747d;
    --color-secondary-dark-5: #7d828c;
    --color-secondary-dark-6: #8b8f98;
    --color-secondary-dark-7: #999da4;
    --color-secondary-dark-8: #a8abb1;
    --color-secondary-dark-9: #aeb1b8;
    --color-secondary-dark-10: #bbbec3;
    --color-secondary-dark-11: #c8cacf;
    --color-secondary-dark-12: #d2d4d7;
    --color-secondary-dark-13: #d5d6d9;
    --color-secondary-light-1: #35373c;
    --color-secondary-light-2: #2c2e32;
    --color-secondary-light-3: #1f2124;
    --color-secondary-light-4: #191a1c;
    --color-secondary-alpha-10: #3f424819;
    --color-secondary-alpha-20: #3f424833;
    --color-secondary-alpha-30: #3f42484b;
    --color-secondary-alpha-40: #3f424866;
    --color-secondary-alpha-50: #3f424880;
    --color-secondary-alpha-60: #3f424899;
    --color-secondary-alpha-70: #3f4248b3;
    --color-secondary-alpha-80: #3f4248cc;
    --color-secondary-alpha-90: #3f4248e1;
    --color-secondary-hover: var(--color-secondary-dark-3);
    --color-secondary-active: var(--color-secondary-dark-2);

    /* console colors - used for actions console and console files */
    --color-console-fg: #f8f8f8;
    --color-console-fg-subtle: #c1c3c8;
    --color-console-bg: #191a1c;
    --color-console-border: #313338;
    --color-console-hover-bg: #2a2c30;
    --color-console-active-bg: #313338;
    --color-console-menu-bg: #292b2e;
    --color-console-menu-border: #46494f;

    /* colors */
    --color-red: #cc4848;
    --color-orange: #cc580c;
    --color-yellow: #cc9903;
    --color-olive: #91a313;
    --color-green: #87ab63;
    --color-teal: #00918a;
    --color-blue: #3a8ac6;
    --color-violet: #906ae1;
    --color-purple: #b259d0;
    --color-pink: #d22e8b;
    --color-brown: #a47252;
    --color-black: #202225;

    /* light variants */
    --color-red-light: #d15a5a;
    --color-orange-light: #f6a066;
    --color-yellow-light: #eaaf03;
    --color-olive-light: #abc016;
    --color-green-light: #93b373;
    --color-teal-light: #00b6ad;
    --color-blue-light: #4e96cc;
    --color-violet-light: #9b79e4;
    --color-purple-light: #ba6ad5;
    --color-pink-light: #d74397;
    --color-brown-light: #b08061;
    --color-black-light: #45484e;

    /* dark 1 variants - produced via Sass scale-color(color, $lightness: -10%) */
    --color-red-dark-1: #c23636;
    --color-orange-dark-1: #f38236;
    --color-yellow-dark-1: #b88a03;
    --color-olive-dark-1: #839311;
    --color-green-dark-1: #7a9e55;
    --color-teal-dark-1: #00837c;
    --color-blue-dark-1: #347cb3;
    --color-violet-dark-1: #7b4edb;
    --color-purple-dark-1: #a742c9;
    --color-pink-dark-1: #be297d;
    --color-brown-dark-1: #94674a;
    --color-black-dark-1: #2e3033;

    /* dark 2 variants - produced via Sass scale-color(color, $lightness: -20%) */
    --color-red-dark-2: #ad3030;
    --color-orange-dark-2: #f16e17;
    --color-yellow-dark-2: #a37a02;
    --color-olive-dark-2: #74820f;
    --color-green-dark-2: #6c8c4c;
    --color-teal-dark-2: #00746e;
    --color-blue-dark-2: #2e6e9f;
    --color-violet-dark-2: #6733d6;
    --color-purple-dark-2: #9834b9;
    --color-pink-dark-2: #a9246f;
    --color-brown-dark-2: #835b42;
    --color-black-dark-2: #292b2e;

    /* ansi colors used for actions console and console files */
    --color-ansi-black: #202225;
    --color-ansi-red: #cc4848;
    --color-ansi-green: #87ab63;
    --color-ansi-yellow: #cc9903;
    --color-ansi-blue: #3a8ac6;
    --color-ansi-magenta: #d22e8b;
    --color-ansi-cyan: #00918a;
    --color-ansi-white: var(--color-console-fg-subtle);
    --color-ansi-bright-black: #45484e;
    --color-ansi-bright-red: #d15a5a;
    --color-ansi-bright-green: #93b373;
    --color-ansi-bright-yellow: #eaaf03;
    --color-ansi-bright-blue: #4e96cc;
    --color-ansi-bright-magenta: #d74397;
    --color-ansi-bright-cyan: #00b6ad;
    --color-ansi-bright-white: var(--color-console-fg);

    /* grey */
    --color-grey: #3d3f44;
    --color-grey-light: #898d96;

    /* other colors */
    --color-gold: #b1983b;
    --color-white: #ffffff;
    --color-pure-black: #000000;
    --color-diff-removed-word-bg: #6f3333;
    --color-diff-added-word-bg: #3c653c;
    --color-diff-removed-row-bg: #301e1e;
    --color-diff-moved-row-bg: #818044;
    --color-diff-added-row-bg: #203224;
    --color-diff-removed-row-border: #634343;
    --color-diff-moved-row-border: #bcca6f;
    --color-diff-added-row-border: #314a37;
    --color-diff-inactive: #25272a;
    --color-error-border: #763232;
    --color-error-bg: #322226;
    --color-error-bg-active: #49262a;
    --color-error-bg-hover: #3c2427;
    --color-error-text: #f85149;
    --color-success-border: #225633;
    --color-success-bg: #1c3329;
    --color-success-text: #3fb950;
    --color-warning-border: #5f481a;
    --color-warning-bg: #342e1f;
    --color-warning-text: #d29922;
    --color-info-border: #254a7e;
    --color-info-bg: #1b283a;
    --color-info-text: #2f81f7;
    --color-red-badge: #db2828;
    --color-red-badge-bg: #db28281a;
    --color-red-badge-hover-bg: #db28284d;
    --color-green-badge: #21ba45;
    --color-green-badge-bg: #21ba451a;
    --color-green-badge-hover-bg: #21ba454d;
    --color-yellow-badge: #fbbd08;
    --color-yellow-badge-bg: #fbbd081a;
    --color-yellow-badge-hover-bg: #fbbd084d;
    --color-orange-badge: #f2711c;
    --color-orange-badge-bg: #f2711c1a;
    --color-orange-badge-hover-bg: #f2711c4d;

    /* Colors for thin elements: octicons, text, borders */
    --thin-lightness: 0.68;
    --regular-chroma: 0.19;
    --color-thin-green: oklch(var(--thin-lightness) var(--regular-chroma) 145deg);
    --color-thin-red: oklch(var(--thin-lightness) var(--regular-chroma) 27deg);
    --color-thin-purple: oklch(var(--thin-lightness) var(--regular-chroma) 298deg);
    --color-thin-orange: oklch(var(--thin-lightness) var(--regular-chroma) 41deg);

    /* Ditto but when additional highlight is needed, e.g. on user interaction */
    --thin-lightness-highlight: 0.75;
    --color-thin-red-highlight: oklch(var(--thin-lightness-highlight) var(--regular-chroma) 27deg);

    /* Background colors. WIP, currently only covers danger buttons */
    --bg-lightness: 0.26;
    --bg-chroma: 0.05;
    --color-danger-bg: oklch(var(--bg-lightness) var(--bg-chroma) 27deg);

    /* target-based colors */
    --color-body: #1e1f20;
    --color-box-header: #1b1c1e;
    --color-box-body: #161718;
    --color-box-body-highlight: #202124;
    --color-text-dark: #f8f8f8;
    --color-text: #d2d4d8;
    --color-text-light: #c0c2c7;
    --color-text-light-1: #aaadb4;
    --color-text-light-2: #969aa1;
    --color-text-light-3: #80858f;
    --color-footer: var(--color-nav-bg);
    --color-timeline: #383b40;
    --color-input-text: var(--color-text-dark);
    --color-input-background: #191a1c;
    --color-input-toggle-background: #323438;
    --color-input-border: var(--color-secondary-dark-1);
    --color-input-border-hover: var(--color-secondary-dark-3);
    /* like 80% sure that forgejo doesnt actually use these
        --color-header-wrapper: var(--steel-850);
        --color-header-wrapper-transparent: #242d3800;*/
    --color-light: #0b0b0c28;
    --color-light-mimic-enabled: rgba(0, 0, 0, calc(40 / 255 * 222 / 255 / var(--opacity-disabled)));
    --color-light-border: #f3f3f428;
    --color-hover: #f3f3f419;
    --color-active: #f3f3f424;
    --color-menu: #191a1c;
    --color-card: #191a1c;
    --fancy-card-bg: var(--color-secondary-light-2);
    --fancy-card-border: var(--color-secondary-light-1);
    --color-markup-table-row: #f3f3f40f;
    --color-markup-code-block: #f3f3f412;
    --color-markup-code-inline: #f3f3f428;
    --color-button: #191a1c;
    --color-code-bg: #161718;
    --color-shadow: #0b0b0c58;
    --color-secondary-bg: #2e3033;
    --color-expand-button: #333539;
    --color-placeholder-text: var(--color-text-light-3);
    --color-editor-line-highlight: var(--color-secondary-alpha-40);
    --color-project-board-bg: var(--color-secondary-light-3);
    --color-project-board-dark-label: var(--color-text-light-3);
    --color-caret: var(--color-text); /* should ideally be --color-text-dark, see #15651 */
    --color-reaction-bg: #f3f3f412;
    --color-reaction-hover-bg: var(--color-primary-light-4);
    --color-reaction-active-bg: var(--color-primary-light-5);
    --color-tooltip-text: #fafafa;
    --color-tooltip-bg: #0b0b0cf0;
    --color-nav-bg: #18191b;
    --color-nav-hover-bg: var(--color-secondary-light-1);
    --color-secondary-nav-bg: #1a1b1e;
    --color-label-text: var(--color-text);
    --color-label-bg: #7a7f8a4b;
    --color-label-hover-bg: #7a7f8aa0;
    --color-label-active-bg: #7a7f8aff;
    --color-accent: var(--color-primary-light-1);
    --color-small-accent: var(--color-primary-light-5);
    --color-highlight-fg: #87651e;
    --color-highlight-bg: #443a27;
    --color-overlay-backdrop: #080808c0;
    --color-selection-bg: var(--color-secondary-dark-10);
    --color-selection-fg: var(--color-pure-black);

  /* pattern colors for image diff */
    --checkerboard-color-1: #474747;
    --checkerboard-color-2: #313131;
    --color-indicator-offline: #a1a1aa;
    --color-indicator-offline-20: #a1a1aa1a;
    --color-indicator-idle: #16a34a;
    --color-indicator-idle-20: #16a34a1a;
    --color-indicator-active: #2185d0;
    --color-indicator-active-20: #2185d033;

  accent-color: var(--color-accent);
  color-scheme: dark;
}
/* invert emojis that are hard to read otherwise */
.emoji[aria-label="check mark"],
.emoji[aria-label="currency exchange"],
.emoji[aria-label="TOP arrow"],
.emoji[aria-label="END arrow"],
.emoji[aria-label="ON! arrow"],
.emoji[aria-label="SOON arrow"],
.emoji[aria-label="heavy dollar sign"],
.emoji[aria-label="copyright"],
.emoji[aria-label="registered"],
.emoji[aria-label="trade mark"],
.emoji[aria-label="multiply"],
.emoji[aria-label="plus"],
.emoji[aria-label="minus"],
.emoji[aria-label="divide"],
.emoji[aria-label="curly loop"],
.emoji[aria-label="double curly loop"],
.emoji[aria-label="wavy dash"],
.emoji[aria-label="paw prints"],
.emoji[aria-label="musical note"],
.emoji[aria-label="musical notes"] {
  filter: invert(100%) hue-rotate(180deg);
}
i.grey.icon.icon.icon.icon {
  color: var(--steel-350) !important;
}
.ui.secondary.vertical.menu {
  border-radius: 0.28571429rem !important;
  overflow: hidden;
}
.ui.basic.primary.button.item {
  background-color: var(--color-active) !important;
  color: var(--color-text) !important;
  box-shadow: none !important;
}
.ui.red.label.notification_count,
.ui.primary.label,
.ui.primary.labels .label {
  background-color: var(--color-primary-light-3) !important;
}
.ui.labeled.icon.buttons > .button > .icon,
.ui.labeled.icon.button > .icon {
  background-color: var(--color-light) !important;
}
#review-box .review-comments-counter {
  background-color: var(--color-shadow) !important;
  color: var(--color-white) !important;
  margin-inline-start: 0.5em;
}
.ui.basic.labels .primary.label,
.ui.ui.ui.basic.primary.label {
  color: var(--color-text-dark) !important;
}
.ui.yellow.label.pending-label {
  color: var(--color-warning-text) !important;
}
strong.attention-important, svg.attention-important {
  color: var(--color-violet-light);
}
strong.attention-note, svg.attention-note {
  color: var(--color-blue-light);
}
strong.attention-caution, svg.attention-caution {
  color: var(--color-red-light);
}
.ui.basic.red.button {
  background-color: var(--color-red);
  color: var(--color-white);
}
.ui.basic.red.button:hover,
.ui.basic.red.button:focus {
  background-color: var(--color-red-dark-1);
  color: var(--color-white);
}
.ui.basic.red.button:active {
  background-color: var(--color-red-dark-2);
  color: var(--color-white);
}
